description: TF-Ranking BERT task.

<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfr.keras.premade.tfrbert_task" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="DOCUMENT_ID"/>
<meta itemprop="property" content="QUERY_ID"/>
</div>

# Module: tfr.keras.premade.tfrbert_task

<!-- Insert buttons and diff -->

<table class="tfo-notebook-buttons tfo-api nocontent" align="left">
<td>
  <a target="_blank" href="https://github.com/tensorflow/ranking/tree/master/tensorflow_ranking/python/keras/premade/tfrbert_task.py">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td>
</table>

TF-Ranking BERT task.

## Classes

[`class TFRBertConfig`](../../../tfr/keras/premade/TFRBertConfig.md): The
tf-ranking BERT task config.

[`class TFRBertDataConfig`](../../../tfr/keras/premade/TFRBertDataConfig.md):
Data config for TFR-BERT task.

[`class TFRBertDataLoader`](../../../tfr/keras/premade/TFRBertDataLoader.md): A
class to load dataset for TFR-BERT task.

[`class TFRBertModelBuilder`](../../../tfr/keras/premade/TFRBertModelBuilder.md):
Model builder for TFR-BERT models.

[`class TFRBertModelConfig`](../../../tfr/keras/premade/TFRBertModelConfig.md):
A TFR-BERT model configuration.

[`class TFRBertScorer`](../../../tfr/keras/premade/TFRBertScorer.md): Univariate
BERT-based scorer.

[`class TFRBertTask`](../../../tfr/keras/premade/TFRBertTask.md): Task object
for tf-ranking BERT.

## Type Aliases

[`TensorDict`](../../../tfr/keras/premade/TensorDict.md): The central part of
internal API.

[`TensorLike`](../../../tfr/keras/model/TensorLike.md): Union of all types that
can be converted to a `tf.Tensor` by `tf.convert_to_tensor`.

<!-- Tabular view -->

 <table class="responsive fixed orange">
<colgroup><col width="214px"><col></colgroup>
<tr><th colspan="2"><h2 class="add-link">Other Members</h2></th></tr>

<tr>
<td>
DOCUMENT_ID<a id="DOCUMENT_ID"></a>
</td>
<td>
`'document_id'`
</td>
</tr><tr>
<td>
QUERY_ID<a id="QUERY_ID"></a>
</td>
<td>
`'query_id'`
</td>
</tr>
</table>
